%define module_name POE-Component-SmokeBox-Uploads-RSS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/LinkExtor.pm) perl(HTTP/Request.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Component/RSSAggregator.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Obtain uploaded CPAN modules via RSS.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-smokebox-uploads-rss

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::SmokeBox::Uploads::RSS is a the POE manpage component that alerts newly uploaded CPAN.distributions. It obtains this information from polling an RSS feed ( by default http://search.cpan.org/uploads.rdf.

the POE::Component::RSSAggregator manpage is used to handle the RSS feed monitoring and the POE::Component::Client::HTTP manpage used to obtain the full author path for each new upload.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/P*

%changelog
* Fri Mar 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

